openSUSE Security Update: Security update for samba
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3674-1
Rating:             important
References:         #1014440 #1192284 
Cross-References:   CVE-2016-2124 CVE-2020-25717
CVSS scores:
                    CVE-2020-25717 (SUSE): 8.1 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for samba fixes the following issues:

   - CVE-2016-2124: Fixed not to fallback to non spnego authentication if we
     require kerberos (bsc#1014440).
   - CVE-2020-25717: Fixed privilege escalation inside an AD Domain where a
     user could become root on domain members (bsc#1192284).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3674=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libsamba-policy-python-devel-4.9.5+git.471.5edbe3dcae7-3.57.2
      libsamba-policy0-4.9.5+git.471.5edbe3dcae7-3.57.2
      libsamba-policy0-debuginfo-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-libs-python-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-libs-python-debuginfo-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-python-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-python-debuginfo-4.9.5+git.471.5edbe3dcae7-3.57.2

   - openSUSE Leap 15.3 (x86_64):

      libsamba-policy0-32bit-4.9.5+git.471.5edbe3dcae7-3.57.2
      libsamba-policy0-32bit-debuginfo-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-libs-python-32bit-4.9.5+git.471.5edbe3dcae7-3.57.2
      samba-libs-python-32bit-debuginfo-4.9.5+git.471.5edbe3dcae7-3.57.2


References:

   https://www.suse.com/security/cve/CVE-2016-2124.html
   https://www.suse.com/security/cve/CVE-2020-25717.html
   https://bugzilla.suse.com/1014440
   https://bugzilla.suse.com/1192284